Vulnerabilities
Get vulnerabilities
Retrieves a comprehensive list of security vulnerabilities identified across targets and assets, including detailed information about risks and remediation recommendations.
GET
/
api
/
vulnerabilities
Get vulnerabilities
curl --request GET \
--url https://{baseUrl}/api/v1/api/vulnerabilitiesimport requests
url = "https://{baseUrl}/api/v1/api/vulnerabilities"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{baseUrl}/api/v1/api/vulnerabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{baseUrl}/api/v1/api/vulnerabilities"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"description": "<string>",
"synopsis": "<string>",
"severity": "info",
"tags": [
"<string>"
],
"references": [
"<string>"
],
"authors": [
"<string>"
],
"affectedUrl": "<string>",
"ipAddress": "<string>",
"host": "<string>",
"ports": [
"<string>"
],
"cvssMetric": "<string>",
"cvssScore": 123,
"epssScore": 123,
"vprScore": 123,
"cveId": [
"<string>"
],
"bidId": [
"<string>"
],
"cweId": [
"<string>"
],
"ceaId": [
"<string>"
],
"iava": [
"<string>"
],
"cveUrl": "<string>",
"cweUrl": "<string>",
"solution": "<string>",
"extractorName": "<string>",
"extractedResults": [
"<string>"
],
"publicationDate": "2023-11-07T05:31:56Z",
"modificationDate": "2023-11-07T05:31:56Z",
"firstDetectedDate": "2023-11-07T05:31:56Z",
"lastSeenDate": "2023-11-07T05:31:56Z",
"tool": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"description": "<string>",
"command": "<string>",
"category": "subdomains",
"version": "<string>",
"isBuiltIn": true,
"isInstalled": true,
"isOfficialSupport": true,
"type": "built_in",
"providerId": "<string>",
"logoUrl": "<string>",
"availableWorkersCount": 123
},
"asset": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"value": "<string>",
"targetId": "<string>",
"isPrimary": true,
"dnsRecords": {},
"isEnabled": true
},
"vulnerabilityDismissal": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"vulnerabilityId": "<string>",
"userId": "<string>",
"reason": "false_positive",
"comment": "<string>",
"user": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"role": "admin"
},
"vulnerability": "<unknown>"
},
"analyzeStatus": "not_analyzed",
"analyzeResult": "<string>"
}
],
"total": 123,
"page": 123,
"limit": 123,
"hasNextPage": true,
"pageCount": 123
}Headers
Workspace ID
Query Parameters
Example:
1
Example:
10
Example:
"createdAt"
Example:
"DESC"
Filter by vulnerability status: open, dismissed, or all
Available options:
open, dismissed, all Filter by severity levels: info, low, medium, high, critical
Available options:
info, low, medium, high, critical Filter by creation date from (ISO 8601 format, e.g., 2026-01-01)
Example:
"2026-01-01"
Filter by creation date to (ISO 8601 format, e.g., 2026-01-31)
Example:
"2026-01-31"
Filter by vulnerability tags
Filter vulnerabilities by target ID
⌘I
Get vulnerabilities
curl --request GET \
--url https://{baseUrl}/api/v1/api/vulnerabilitiesimport requests
url = "https://{baseUrl}/api/v1/api/vulnerabilities"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{baseUrl}/api/v1/api/vulnerabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{baseUrl}/api/v1/api/vulnerabilities"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"description": "<string>",
"synopsis": "<string>",
"severity": "info",
"tags": [
"<string>"
],
"references": [
"<string>"
],
"authors": [
"<string>"
],
"affectedUrl": "<string>",
"ipAddress": "<string>",
"host": "<string>",
"ports": [
"<string>"
],
"cvssMetric": "<string>",
"cvssScore": 123,
"epssScore": 123,
"vprScore": 123,
"cveId": [
"<string>"
],
"bidId": [
"<string>"
],
"cweId": [
"<string>"
],
"ceaId": [
"<string>"
],
"iava": [
"<string>"
],
"cveUrl": "<string>",
"cweUrl": "<string>",
"solution": "<string>",
"extractorName": "<string>",
"extractedResults": [
"<string>"
],
"publicationDate": "2023-11-07T05:31:56Z",
"modificationDate": "2023-11-07T05:31:56Z",
"firstDetectedDate": "2023-11-07T05:31:56Z",
"lastSeenDate": "2023-11-07T05:31:56Z",
"tool": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"description": "<string>",
"command": "<string>",
"category": "subdomains",
"version": "<string>",
"isBuiltIn": true,
"isInstalled": true,
"isOfficialSupport": true,
"type": "built_in",
"providerId": "<string>",
"logoUrl": "<string>",
"availableWorkersCount": 123
},
"asset": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"value": "<string>",
"targetId": "<string>",
"isPrimary": true,
"dnsRecords": {},
"isEnabled": true
},
"vulnerabilityDismissal": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"vulnerabilityId": "<string>",
"userId": "<string>",
"reason": "false_positive",
"comment": "<string>",
"user": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"role": "admin"
},
"vulnerability": "<unknown>"
},
"analyzeStatus": "not_analyzed",
"analyzeResult": "<string>"
}
],
"total": 123,
"page": 123,
"limit": 123,
"hasNextPage": true,
"pageCount": 123
}